package eu.jonahbauer.wizard.core.machine.states;

import eu.jonahbauer.wizard.core.machine.Context;

public interface State<S extends State<S,C>, C extends Context<S,C>> {
    default void onEnter(C context) {}
    default void onTimeout(C context) {}
    default void onExit(C context) {}
}
